


from dataclasses import dataclass
import random

# Using dataclass to simulate record structure
# This creates a class object without appropriate attributes.
@dataclass
class State:
    name: str
    unemploy: float
    pop: int


allStates = []


# Create 50 empty "records".
# There is no need to do this as each object would usually be created as data is entered or received (from a file, sensor etc).
# It's nice to have this code for an exam question whic state something like "Write code that would create 50 records to store..."
for loop in range(50):
    allStates.append(State("",0.0,0))

# Demonstation of how the object dot notation works.
# Ask the user to enter data for all 50 states.
for x in range(0,len(allStates)):

    allStates[x].name = str(input("Enter the name of state "+str(x+1)+" "))
    allStates[x].unemploy = str(input("Enter the unempployment precentage for this state: "+str(x+1)+" "))
    allStates[x].pop = str(input("Enter the population of this state: "+str(x+1)+" "))

# Demonstrates use of dot notation to access class attributes.
for x in range(0,len(allStates)):
    print (allStates[x].name,allStates[x].unemploy,allStates[x].pop)
